Commit 0ea03d92 authored by Wilko Manger's avatar Wilko Manger

Add & upgrade dependencies and use AndroidX

parent 779e760e
......@@ -43,7 +43,7 @@ android {
targetSdkVersion 28
versionCode flutterVersionCode.toInteger()
versionName flutterVersionName
testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
}
signingConfigs {
......@@ -85,6 +85,6 @@ flutter {
dependencies {
implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
testImplementation 'junit:junit:4.12'
androidTestImplementation 'com.android.support.test:runner:1.0.2'
androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'
androidTestImplementation 'androidx.test.ext:junit:1.1.1'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.1.0'
}
buildscript {
ext.kotlin_version = '1.2.71'
ext.kotlin_version = '1.3.41'
repositories {
google()
jcenter()
}
dependencies {
classpath 'com.android.tools.build:gradle:3.2.1'
classpath 'com.android.tools.build:gradle:3.5.2'
classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
classpath 'com.google.gms:google-services:4.3.3'
}
}
......
android.enableJetifier=true
android.useAndroidX=true
org.gradle.jvmargs=-Xmx1536M
......@@ -3,4 +3,4 @@ distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-4.10.2-all.zip
distributionUrl=https\://services.gradle.org/distributions/gradle-5.4.1-all.zip
......@@ -14,7 +14,7 @@ packages:
name: archive
url: "https://pub.dartlang.org"
source: hosted
version: "2.0.10"
version: "2.0.11"
args:
dependency: transitive
description:
......@@ -23,7 +23,7 @@ packages:
source: hosted
version: "1.5.2"
async:
dependency: transitive
dependency: "direct main"
description:
name: async
url: "https://pub.dartlang.org"
......@@ -91,7 +91,7 @@ packages:
name: device_info
url: "https://pub.dartlang.org"
source: hosted
version: "0.4.0+3"
version: "0.4.1+1"
dynamic_theme:
dependency: "direct main"
description:
......@@ -99,6 +99,20 @@ packages:
url: "https://pub.dartlang.org"
source: hosted
version: "1.0.1"
firebase_core:
dependency: "direct main"
description:
name: firebase_core
url: "https://pub.dartlang.org"
source: hosted
version: "0.4.1+4"
firebase_messaging:
dependency: "direct main"
description:
name: firebase_messaging
url: "https://pub.dartlang.org"
source: hosted
version: "5.1.8"
flutter:
dependency: "direct main"
description: flutter
......@@ -110,7 +124,7 @@ packages:
name: flutter_cache_manager
url: "https://pub.dartlang.org"
source: hosted
version: "1.1.1"
version: "1.1.3"
flutter_dotenv:
dependency: "direct main"
description:
......@@ -133,7 +147,14 @@ packages:
name: flutter_launcher_icons
url: "https://pub.dartlang.org"
source: hosted
version: "0.7.3"
version: "0.7.4"
flutter_local_notifications:
dependency: "direct main"
description:
name: flutter_local_notifications
url: "https://pub.dartlang.org"
source: hosted
version: "0.8.4"
flutter_localizations:
dependency: "direct main"
description: flutter
......@@ -171,14 +192,14 @@ packages:
name: image
url: "https://pub.dartlang.org"
source: hosted
version: "2.1.4"
version: "2.1.8"
image_picker:
dependency: "direct main"
description:
name: image_picker
url: "https://pub.dartlang.org"
source: hosted
version: "0.6.1+4"
version: "0.6.1+11"
injector:
dependency: "direct main"
description:
......@@ -234,7 +255,7 @@ packages:
name: mdi
url: "https://pub.dartlang.org"
source: hosted
version: "0.2.1"
version: "0.2.2"
meta:
dependency: transitive
description:
......@@ -255,7 +276,7 @@ packages:
name: package_info
url: "https://pub.dartlang.org"
source: hosted
version: "0.4.0+6"
version: "0.4.0+10"
path:
dependency: transitive
description:
......@@ -269,7 +290,7 @@ packages:
name: path_provider
url: "https://pub.dartlang.org"
source: hosted
version: "1.3.0"
version: "1.4.0"
pedantic:
dependency: transitive
description:
......@@ -318,7 +339,7 @@ packages:
name: rxdart
url: "https://pub.dartlang.org"
source: hosted
version: "0.22.3"
version: "0.22.6"
sentry:
dependency: "direct main"
description:
......@@ -334,7 +355,7 @@ packages:
name: shared_preferences
url: "https://pub.dartlang.org"
source: hosted
version: "0.5.3+4"
version: "0.5.4+3"
sky_engine:
dependency: transitive
description: flutter
......@@ -353,7 +374,7 @@ packages:
name: sqflite
url: "https://pub.dartlang.org"
source: hosted
version: "1.1.7+1"
version: "1.1.7+2"
stack_trace:
dependency: transitive
description:
......@@ -423,7 +444,14 @@ packages:
name: url_launcher
url: "https://pub.dartlang.org"
source: hosted
version: "5.1.4"
version: "5.2.5"
url_launcher_platform_interface:
dependency: transitive
description:
name: url_launcher_platform_interface
url: "https://pub.dartlang.org"
source: hosted
version: "1.0.1"
usage:
dependency: transitive
description:
......@@ -475,4 +503,4 @@ packages:
version: "2.2.0"
sdks:
dart: ">=2.5.0 <3.0.0"
flutter: ">=1.9.1 <2.0.0"
flutter: ">=1.9.1+hotfix.5 <2.0.0"
......@@ -19,13 +19,15 @@ dependencies:
rxdart: ^0.22.0
async: ^2.3.0
# TODO: Use official package when PR is merged
sentry:
git: https://git.pattle.im/forks/sentry.git
flutter_cache_manager: ^1.1.0
device_info: ^0.4.0+2
device_info: ^0.4.1+1
package_info: ^0.4.0+5
# TODO (maybe): Use official package when PR is merged
......@@ -58,6 +60,11 @@ dependencies:
# Use with the CupertinoIcons class for iOS style icons.
cupertino_icons: ^0.1.2
firebase_core: ^0.4.0+9
firebase_messaging: ^5.1.8
flutter_local_notifications: ^0.8.4
dev_dependencies:
flutter_launcher_icons: ^0.7.2+1
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment